import 'package:camera/camera.dart';
import 'package:flutter/material.dart';
import 'package:flutter_blue_plus/flutter_blue_plus.dart';
import 'package:get/get.dart';

class Config {
  static const String appName = "掌上牧场";

  static String baseUrl = "";

  static String version = "";

  static bool isOnLine = false;

  //是否连接蓝牙设备
  static bool isConnect = false;

  //是否是管理员
  static bool isAdmin = false;

  // 定义一个全局的相机列表
  static List<CameraDescription> cameras = [];

  static late CameraController controller; // 定义一个 CameraController

  static String SP_UUID = 'sp_uuid';

  static String SP_STR_USERNAME = 'sp_str_username';
  static String SP_STR_PASSWORD = 'sp_str_password';
  static String SP_STR_USER = 'sp_str_user';
  static String SP_STR_TOKEN = 'sp_str_token';
  static String SP_DEPT_ID = 'sp_dept_id';
  static String SP_DEPT_NAME = 'sp_dept_name';
  static String SP_DEPT_ROLE = 'sp_dept_role';
  static String SP_CATTLERESUME_UPDATE_TIME = 'sp_cattleresume_update_time';
  static String SP_PERFORMANCE_UPDATE_TIME = 'sp_performance_update_time';
  static String SP_WEIGHT_MAN_UPDATE_TIME = 'sp_weight_man_update_time';
  static String SP_MEDICAL_RECORD_UPDATE_TIME = 'sp_medical_record_update_time';
  static String SP_IMMUNE_BATCH_UPDATE_TIME = 'sp_immune_batch_update_time';
  static String SP_IMMUNE_BATCH_DETAIL_UPDATE_TIME = 'sp_immune_batch_detail_update_time';
  static String SP_BREEDING_RECORD_UPDATE_TIME = 'sp_breeding_record_update_time';
  static String SP_BREEDING_RECORD_DETAIL_UPDATE_TIME = 'sp_breeding_record_detail_update_time';
}

class IconFont {
  static const _fontFamily = 'myIcon';

  ///banner下方牛只数据
  static const IconData breeding_count = IconData(0xe61e, fontFamily: _fontFamily, matchTextDirection: true);
  static const IconData obsolete_count = IconData(0xe659, fontFamily: _fontFamily, matchTextDirection: true);
  static const IconData dead_count = IconData(0xe60b, fontFamily: _fontFamily, matchTextDirection: true);
  static const IconData sell_count = IconData(0xe69c, fontFamily: _fontFamily, matchTextDirection: true);

  ///首页功能
  static const IconData cattle_resume = IconData(0xe9aa, fontFamily: _fontFamily, matchTextDirection: true);
  static const IconData performance = IconData(0xe697, fontFamily: _fontFamily, matchTextDirection: true);
  static const IconData medical_record = IconData(0xe601, fontFamily: _fontFamily, matchTextDirection: true);
  static const IconData breeding_record = IconData(0xe76b, fontFamily: _fontFamily, matchTextDirection: true);
  static const IconData immune = IconData(0xe616, fontFamily: _fontFamily, matchTextDirection: true);
  static const IconData weight = IconData(0xe9fb, fontFamily: _fontFamily, matchTextDirection: true);

  ///tab
  static const IconData home = IconData(0xe9fb, fontFamily: _fontFamily, matchTextDirection: true);
  static const IconData message = IconData(0xe9fb, fontFamily: _fontFamily, matchTextDirection: true);
  static const IconData sync = IconData(0xe9fb, fontFamily: _fontFamily, matchTextDirection: true);
  static const IconData mine = IconData(0xe9fb, fontFamily: _fontFamily, matchTextDirection: true);

  ///消息
  static const IconData parturition_warn = IconData(0xe6b1, fontFamily: _fontFamily, matchTextDirection: true);
  static const IconData weaning_warn = IconData(0xe600, fontFamily: _fontFamily, matchTextDirection: true);
  static const IconData breeding_warn = IconData(0xe697, fontFamily: _fontFamily, matchTextDirection: true);

  static const IconData bull_breeding_warn = IconData(0xe640, fontFamily: _fontFamily, matchTextDirection: true);
  static const IconData postpartum_breeding_warn = IconData(0xe62f, fontFamily: _fontFamily, matchTextDirection: true);
  static const IconData postpartum_check_warn = IconData(0xe76b, fontFamily: _fontFamily, matchTextDirection: true);

  static const IconData gravidity_initial_check_warn =
      IconData(0xe65a, fontFamily: _fontFamily, matchTextDirection: true);
  static const IconData gravidity_recheck_warn = IconData(0xe65b, fontFamily: _fontFamily, matchTextDirection: true);
  static const IconData cow_estrus_warn = IconData(0xe632, fontFamily: _fontFamily, matchTextDirection: true);

  static const IconData prenatally_warn = IconData(0xe624, fontFamily: _fontFamily, matchTextDirection: true);
  static const IconData over_time_warn = IconData(0xe784, fontFamily: _fontFamily, matchTextDirection: true);
  static const IconData anestrus_warn = IconData(0xe6ea, fontFamily: _fontFamily, matchTextDirection: true);

  static const IconData cow_weed_out_count_warn = IconData(0xe6ba, fontFamily: _fontFamily, matchTextDirection: true);
  static const IconData cow_weed_out_moom_age_warn =
      IconData(0xe7b8, fontFamily: _fontFamily, matchTextDirection: true);
  static const IconData bull_weed_out_moom_age_warn =
      IconData(0xe659, fontFamily: _fontFamily, matchTextDirection: true);

  ///
}
